{% extends 'tmpl1/base.html' %}
{%  load static from staticfiles %}
{% block title%} ویرایش حساب کاربری  {% endblock %}
{% block description%}{% endblock %}
{% block css %}
    <link rel="stylesheet" href="{% static 'theme1/css/parsley.css'%}"/>
{% endblock %}
{% block js %}
    <script src="{% static 'theme1/js/parsley.min.js'%}"></script>
    <script src="{% static 'theme1/js/parsley.fa.js'%}"></script>
<script>

	$(document).ready( function() {
	    	$(document).on('change', '.btn-file :file', function() {
		var input = $(this),
			label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
		input.trigger('fileselect', [label]);
		});

		$('.btn-file :file').on('fileselect', function(event, label) {

		    var input = $(this).parents('.input-group').find(':text'),
		        log = label;

    	});
		function readURL(input) {
		    if (input.files && input.files[0]) {
		        var reader = new FileReader();

                reader.onload = function (e) {
		            $("img.display-image").attr('src', e.target.result);
		        }

		        reader.readAsDataURL(input.files[0]);
		    }
		}

		$("#inputGroupFile1").change(function(){
		    readURL(this);
		});
	});
</script>
{% endblock %}
{% block body %}

{% if error %}
    {% if Firstname %}
        طول نام شما کوتاه است
        <br/>
    {% endif %}

    {% if Lastname %}
        طول نام خانوادگی  شما کوتاه است
        <br/>
    {% endif %}

    {% if username_length %}
    طول نام کاربری شما باید بیش از 6 کاراکتر و ترکیبی از حروف انگلیسی .اعداد و نقطه می تواند باشد
        <br/>
    {% endif %}

    {% if username_confilict %}
        نام کاربری شما قبلا ثبت نام شده است
        <br/>
    {% endif %}
    {% if email_confilict %}
        ایمیل شما قبلا ثبت نام شده است
        <br/>
    {% endif %}
    {% if email %}
        ایمیل شما صحیح نمیباشد
        <br/>
    {% endif %}
    {% if Strength < 60 %}
        امنیت پسورد شما ضعیف میباشد لطفا از حروف کوچک و بزرگ به همراه اعداد استفاده کنید(میتوانید از @-#-!-... استفاده کنید)
        <br/>
    {% endif %}
    {% if passconfilict %}
        این پسورد با تکرار ان یکسان نیست
        <br/>
    {% endif %}
    {% if cellphone %}
        شماره موبایل باید با 09 شروع شود و 11 کاراکتر باشد
        <br/>
    {% endif %}
    {% if cellphone_confilict %}
        شماره موبایل وارد شده تکراری است
        <br/>
    {% endif %}
    {% if password %}
        گذرواژه شما خالی میباشد
        <br/>
    {% endif %}

‪{% endif %}

{% if register %}
    ویرایش  با موفقیت انجام شد
    <br/>
{%else%}

{% endif %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-2">
            </div>
            <div class="col-md-8 ">
                <div class="row">
                    <div class="col-md-12 singup">
                        <form method="post" data-parsley-validate id="editform" enctype="multipart/form-data">
                            {% csrf_token %}
                            <div class="form-group mt-3" style="display: table ;margin-top: 10px;">
                                <input type="file"  name="image" accept="image/*"  id="inputGroupFile1" style="display:none">
                                <label>برای تغییر تصویر پروفایل روی عکس کلیک کنید.</label>
                                <img src="{{request.user.image.url}}" class="display-image img-thumbnail "  style=" float:left ; width:30% " onclick="$('#inputGroupFile1').click()">
                            </div>
                            <div class="form-group " >
                                <label for="exampleInputusername">نام کاربری </label>
                                <input type="text" class="form-control input" id="exampleInputusername" name="username" aria-describedby="emailHelp" value="{{request.user.username}}"   data-parsley-trigger="keyup" required>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputfirstname">نام </label>
                                <input type="text" class="form-control input" id="exampleInputfirstname" name="firstname" aria-describedby="emailHelp"  value="{{request.user.first_name}}" data-parsley-minlength="2" data-parsley-trigger="keyup" required>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputlastname">نام خانوادگی </label>
                                <input type="text" class="form-control input" id="exampleInputlastname" name="lastname" aria-describedby="emailHelp"  value="{{request.user.last_name}}" data-parsley-minlength="2"  data-parsley-trigger="keyup" required>
                            </div>
                             <div class="form-group">
                                <label for="exampleInputEmail1">آدرس ایمیل </label>
                                <input type="email" class="form-control input" id="exampleInputEmail1" name="email" aria-describedby="emailHelp"  data-parsley-type="email"  value="{{request.user.email}}"  data-parsley-trigger="keyup"  data-parsley-trigger="keyup" required>
                                <small id="emailHelp" class="form-text text-muted">ما هیچوقت ایمیل شمارا با کسی به اشتراک نمیگزاریم.</small>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputcellphone">شماره همراه </label>
                                <input type="text" class="form-control input" id="exampleInputcellphone" name="cellphone" value="{{request.user.cellphone}}" data-parsley-pattern="^09[0-9]{9}$" data-parsley-trigger="keyup" required>
                                <small id="cellphoneHelp" class="form-text text-muted">شماره همراه باید با 09 آغاز شود.</small>
                            </div>
                            <button type="submit" class="btn btn-primary">ویرایش </button>
                            <a class="btn btn-outline-primary" href="{% url 'changepassword' %}" > تغییر گذرواژه</a>

                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-2">
            </div>
        </div>
    </div>



{% endblock %}
